#ifndef __KGDB
#define __KGDB

struct pt_regs;

extern void kgdb_breakpoint(void);

#define KGDB_BREAKPOINT()   asm("   int $3")

/*
 * GDB debug stub (or any debug stub) can point the 'linux_debug_hook'
 * pointer to its routine and it will be entered as the first thing
 * when a trap occurs.
 *
 * Return values are, at present, undefined.
 *
 * The debug hook routine does not necessarily return to its caller.
 * It has the register image and thus may choose to resume execution
 * anywhere it pleases.
 */

extern void kgdb_handle_exception(int trapno, int signo, int err_code,
				struct pt_regs *regs);
extern int in_kgdb(struct pt_regs *regs);
extern int kgdb_enabled;
extern int kgdb_irq;
extern int kgdb_pid_init_done;
#endif				/* __KGDB */
